Author Topic: (Solved) Suddenly Sparky Wont Upgrade  (Read 1692 times)

Offline frogprince

  • Newbie
  • *
  • Posts: 38
(Solved) Suddenly Sparky Wont Upgrade
« on: March 27, 2014, 12:31:40 am »
Hi: I tried to upgrade Sparky today on my Dell X1, but could not do so using either apt-get or synaptic. When I click on "reload" in Synaptic, I get a series of error messages:



W: Failed to fetch http://repo.sparkylinux.org/dists/sparky/InRelease



W: Failed to fetch http://repo.sparkylinux.org/dists/sparky/Release.gpg  Could not resolve 'repo.sparkylinux.org'



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/main/source/SourcesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/contrib/source/SourcesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/non-free/source/SourcesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/main/binary-i386/PackagesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/contrib/binary-i386/PackagesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/non-free/binary-i386/PackagesIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/contrib/i18n/Translation-enIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/main/i18n/Translation-enIndex  Hash Sum mismatch



W: Failed to fetch http://ftp.debian.org/debian/dists/testing/non-free/i18n/Translation-enIndex  Hash Sum mismatch



W: Some index files failed to download. They have been ignored, or old ones used instead.



Have I lost support for this version of Sparky? Or ??



Thanks in advance.

« Last Edit: March 27, 2014, 12:31:40 am by 37 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
« Last Edit: July 01, 2014, 01:36:30 pm by 14 »
Nothing is easy as it looks.

Offline frogprince

  • Newbie
  • *
  • Posts: 38
Re: Suddenly Sparky Wont Upgrade
« Reply #2 on: March 27, 2014, 04:53:35 am »
Pavroo: thanks for your prompt reply! I followed the procedures noted above, The number of error messages is much reduced, but I still get:



W: Failed to fetch http://repo.sparkylinux.org/repo/dists/testing/InRelease



W: Failed to fetch http://repo.sparkylinux.org/repo/dists/testing/Release.gpg  Could not resolve 'repo.sparkylinux.org'



W: Some index files failed to download. They have been ignored, or old ones used instead.



Do I need yet another key, or ???



« Last Edit: July 01, 2014, 01:36:09 pm by 37 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Suddenly Sparky Wont Upgrade
« Reply #3 on: March 27, 2014, 01:36:22 pm »
You can't download package list from http://repo.sparkylinux.org because it doesn't exist any more.

Follow the instruction http://sparkylinux.org/repository-changed/ - remove the old address and add the new one.
« Last Edit: July 01, 2014, 01:35:52 pm by 14 »
Nothing is easy as it looks.

Offline frogprince

  • Newbie
  • *
  • Posts: 38
Re: Suddenly Sparky Wont Upgrade
« Reply #4 on: March 27, 2014, 05:27:18 pm »
Pavroo:



The site http://sparkylinux.org/repository-changed/  states:



"To change old repository for the new one, edit (as root) the file:



nano /etc/apt/sources.list



Remove the text from the file:



# sparky

deb http://repo.sparkylinux.org/ sparky main

#deb http://repo.sparkylinux.org/ sparky dev



Add new two lines to the file:



# sparky

deb http://sparkylinux.org/repo testing main



Download the new public key:

wget -O - http://sparkylinux.org/repo/sparkylinux.gpg.key | apt-key add -



And refresh package list:

apt-get update"



After doing so, my /etc/apt/sources.list reads:



deb http://ftp.debian.org/debian/ testing main contrib non-free

deb-src http://ftp.debian.org/debian/ testing main contrib non-free

deb http://security.debian.org/ testing/updates main contrib non-free

deb-src http://security.debian.org/ testing/updates main contrib non-free

deb http://www.deb-multimedia.org testing main non-free

# opera web browser

deb http://deb.opera.com/opera/ stable non-free

# google-chrome web browser

deb http://dl.google.com/linux/chrome/deb/ stable main

# snowlinux (e17)

# do not use it for regular updates

# deb http://packages.snowlinux.de/ glacier main import upstream

# sparky

deb http://repo.sparkylinux.org/repo testing main



When I run apt-get update, I get the error message:



W: Failed to fetch http://repo.sparkylinux.org/repo/dists/testing/InRelease



W: Failed to fetch http://repo.sparkylinux.org/repo/dists/testing/Release.gpg  Could not resolve 'repo.sparkylinux.org'



W: Some index files failed to download. They have been ignored, or old ones used instead.



Can you help me with what I'm missing? Thanks again for your time.









« Last Edit: July 01, 2014, 01:35:31 pm by 37 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Suddenly Sparky Wont Upgrade
« Reply #5 on: March 27, 2014, 05:42:07 pm »
Change the line from:

Code:



to:

Code:



« Last Edit: July 01, 2014, 01:35:14 pm by 14 »
Nothing is easy as it looks.

Offline frogprince

  • Newbie
  • *
  • Posts: 38
Re: Suddenly Sparky Wont Upgrade
« Reply #6 on: March 28, 2014, 01:21:33 am »
Pavroo: Well, that was a silly mistake. And it was staring me in the face all this time! After that change, I have no more errors and the system is finally up to date. Thanks for your time and patience!
« Last Edit: July 01, 2014, 01:34:53 pm by 37 »